# 17. Consulta: Obter "SoilDatasets"

Obter todos os "SoilDatasets" para o "Field" selecionado. Conjuntos de dados podem ser recuperados usando consultas GraphQL genéricas como `getFarms` e `getFields` a partir do "Field" vinculado.&#x20;

{% hint style="warning" %}
Um "SoilDataset" precisa ser carregado previamente.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #padrão "<OperationType> <YYYY-mm-DD>"
        operationId #se existir
        number #número total de geofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #detalhes completos por atributo
          name #link para estatísticas >> atributo
          transliteratedName
          fullName #se existir
          unit #se existir
        }

        createdDate #data e hora de criação da entidade no GeoPard
        updatedDate #data e hora da última atualização
        operationType
        operationId
        operationFileDate #data e hora de criação do arquivo
        operationStartDate #início da operação
        
        statistics { #distribuição estatística para cada atributo do solo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        nome  
        operationId #se existir 
        number #número total de geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #link para estatísticas >> atributo
          transliteratedName
          fullName #se existir
          unit #se existir
        }
      
        createdDate #data e hora de criação no GeoPard
        updatedDate #data e hora da última atualização no GeoPard
        operationFileDate #data e hora de criação do arquivo (se existir)
        operationStartDate #início da operação (se existir)
      
        statistics { #distribuição estatística para cada atributo do solo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #representação visual
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/17.-consulta-obter-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
